
Redmine - Patch #12077

Links ending with non-english letters don't parse completely

2012-10-11 15:45 - Sergey Bir

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Description

Here is an example, a link that ends with russian letters. But not the whole link becomes clickable:

http://domain.com/something/неплохо

If i put a trailing slash or brackets around it - it parses correctly:

http://domain.com/something/неплохо/

(http://domain.com/something/неплохо)

This bug is a pain because wiki urls with or without a trailing slash are different

Related issues:

Related to Redmine - Defect #8055: Links ending with curly brackets are not c... New 2011-04-04

Related to Redmine - Defect #12397: Error in Textile conversion of HTTP links... Closed

History

#1 - 2012-10-11 15:59 - Sergey Bir

similar to #8055

#2 - 2012-10-11 16:35 - Toshi MARUYAMA

- Category changed from Issues to Text formatting

#3 - 2012-11-19 10:58 - Danil Tashkinov

- File text-formatting-with-non-english-letters.diff added

Please see the attached patch. Have modified regular expression and application_helper_test.

redmine version 1.4.5

#4 - 2013-02-01 21:37 - Jan Niggemann (redmine.org team member)

- Tracker changed from Defect to Patch

#5 - 2013-04-09 16:33 - Filou Centrinov

It's seems to be fixed, isn't it?

#6 - 2013-04-09 17:08 - Sergey Bir

- Status changed from New to Resolved

yeah now it seems to be fixed

#7 - 2013-04-10 06:35 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Sergey Bir wrote:

yeah now it seems to be fixed

 It seems fixed by #12397.

Thank you for your feedback.
http://domain.com/something/%D0%BD%D0%B5%D0%BF%D0%BB%D0%BE%D1%85%D0%BE
http://domain.com/something/%D0%BD%D0%B5%D0%BF%D0%BB%D0%BE%D1%85%D0%BE/
http://domain.com/something/%D0%BD%D0%B5%D0%BF%D0%BB%D0%BE%D1%85%D0%BE
https://www.redmine.org/issues/8055
https://www.redmine.org/issues/12397


Files

text-formatting-with-non-english-letters.diff 6.09 KB 2012-11-19 Danil Tashkinov
